<?php
class iHRIS_Module_CareerProgression extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
	static function getMethods() {
        return array( 'iHRIS_PageView->action_career_progression'
                => 'action_career_progression' );
    }


    /**
     * Add the career_progression form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_career_progression( $page ) {
        $person = $page->getPerson();
        if (!$person instanceof iHRIS_Person) {
            return false;
        }
        $person->populateChildren('career_progression',array('decision_date'));
        return $page->appendChildTemplate('career_progression' );
    }

}
?>
